commit ca060431d675f0d17f60d689a7bc94452ce4780d
Author: Sebastian Pop <spop@amazon.com>
Date:   Tue Nov 17 16:00:51 2020 +0000

    [AArch64] add --with-tune configure flag
    
    fixes a configure error on Arm64 when passing --with-tune=... to configure:
    ```
    This target does not support --with-tune.
    Valid --with options are: abi cpu arch
    ```
    The missing flag sets target tuning to a different value than generic tuning.
    
    gcc/
            * config.gcc: Add --with-tune to AArch64 configure flags.
    
    (cherry picked from commit 04dedd18141ccf42e59f7f5f0abc3b86dd63bdb9)

diff --git a/gcc/config.gcc b/gcc/config.gcc
index b42ebc4e5be..25ef648c288 100644
--- a/gcc/config.gcc
+++ b/gcc/config.gcc
@@ -4065,9 +4065,8 @@ fi
 supported_defaults=
 case "${target}" in
 	aarch64*-*-*)
-		supported_defaults="abi cpu arch"
-		for which in cpu arch; do
-
+		supported_defaults="abi cpu arch tune"
+		for which in cpu arch tune; do
 			eval "val=\$with_$which"
 			base_val=`echo $val | sed -e 's/\+.*//'`
 			ext_val=`echo $val | sed -e 's/[a-z0-9.-]\+//'`

